/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { MatIconModule } from '@angular/material/icon';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { MatTableModule } from '@angular/material/table';
import { MatTabsModule } from '@angular/material/tabs';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';
import { RouterTestingModule } from '@angular/router/testing';
import { BCI_SHARED_INTL_PROVIDER, BciSharedModule } from '@bci-web-core/core';
import { MdNestedTabsDemoComponent } from './md-nested-tabs-demo.component';

describe('MdNestedTabsDemoComponent', () => {
  let component: MdNestedTabsDemoComponent;
  let fixture: ComponentFixture<MdNestedTabsDemoComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [
          BciSharedModule,
          RouterTestingModule,
          MatSlideToggleModule,
          MatIconModule,
          MatTableModule,
          MatTabsModule,
          NoopAnimationsModule,
        ],
        declarations: [MdNestedTabsDemoComponent],
        providers: [BCI_SHARED_INTL_PROVIDER]
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(MdNestedTabsDemoComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
